# Create your views here.

from django.views.generic.simple import direct_to_template

from marker.forms import AddMarkerForm

def add_marker(request):
    form = AddMarkerForm(request.POST or None)
    
    if request.POST and form.is_valid():
        form.save()
    
    return direct_to_template(request, 'create_marker.html', extra_context={'form': form})
